petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexComputeCellGeometryAffineFEM

Assuming an affine map, compute the Jacobian, inverse Jacobian, and Jacobian determinant for a given cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeCellGeometryAffineFEM(DM dm, PetscInt cell, PetscReal *v0, PetscReal *J, PetscReal *invJ, PetscReal *detJ)

Collective on DM

### Input Arguments

| dm | - the DM
| cell | - the cell

### Output Arguments

| v0 | - the translation part of this affine transform
| J | - the Jacobian of the transform from the reference element
| invJ | - the inverse of the Jacobian
| detJ | - the Jacobian determinant

### Fortran Notes

Since it returns arrays, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMPlexComputeCellGeometryFEM(), DMGetCoordinateSection(), DMGetCoordinateVec()

Level:advanced
Location:src/dm/impls/plex/plexgeometry.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages